> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/reference/submissions/api-submissions.md).

# API Submissions

## List All API Submissions

> Returns a list of your API submissions. Note that impact.com does not recommend using this endpoint due to typically large response sizes and long call times.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Submissions","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/APISubmissions":{"get":{"summary":"List All API Submissions","description":"Returns a list of your API submissions. Note that impact.com does not recommend using this endpoint due to typically large response sizes and long call times.","operationId":"listApiSubmissions","tags":["API Submissions"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"A paginated list of API submission objects.","content":{"application/json":{"schema":{"type":"object","properties":{"APISubmission":{"type":"array","description":"The list of API submission objects.","items":{"$ref":"#/components/schemas/ApiSubmission"}}}}}}}}}}},"components":{"schemas":{"ApiSubmission":{"type":"object","properties":{"BatchId":{"type":"string","description":"Id of the API submission."},"AccountId":{"type":"integer","description":"Id of the brand account that submitted the API submission."},"SubmissionDate":{"type":"string","format":"date-time","description":"Date and time the API submission was submitted (ISO 8601)."},"CampaignId":{"type":"integer","description":"Id of the program (formerly known as campaign) to which the record was submitted."},"ActionTrackerId":{"type":"integer","description":"Id of the action tracker (event type) the record applies to."},"MediaPartnerId":{"type":"integer","description":"Id of the partner (formerly known as media partner) that drove the record submitted via API."},"EventCode":{"type":"string","description":"Configurable string code identifying the event type, if used instead of EventTypeId."},"OrderId":{"type":"string","nullable":true,"description":"If the record submitted is a conversion, this is the unique Id associated with that conversion."},"Payload":{"type":"string","description":"Information about the tracking data itself that was submitted to impact.com via an API call."},"Type":{"type":"string","enum":["Conversion","Modification","Reversal"],"description":"Type of record submitted."},"Status":{"type":"string","enum":["Queued","In Progress","Complete"],"description":"Status of the API submission. Will always begin as Queued ."},"CompletionDate":{"type":"string","format":"date-time","nullable":true,"description":"Date and time that the submission finished processing. Will be empty if the submission is not finished processing. See ISO 8601 ."},"ErrorType":{"type":"string","nullable":true,"description":"Errors encountered during the submission process. Will be empty if no errors were encountered. Some common values are listed below."},"ErrorReason":{"type":"string","nullable":true,"description":"List of error explanations to help describe the ErrorType ."},"Uri":{"type":"string","format":"uri-reference","description":"API submission's direct URI to view only one specific API submission."}}}}}}
```

## Get API Submission Details

> Retrieves information about a specific record that was submitted via the API, including its processing status and any errors.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Submissions","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/APISubmissions/{BatchId}":{"get":{"summary":"Get API Submission Details","description":"Retrieves information about a specific record that was submitted via the API, including its processing status and any errors.","operationId":"getApiSubmissionById","tags":["API Submissions"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"BatchId","in":"path","required":true,"description":"The unique batch ID of the API submission.","schema":{"type":"string"}}],"responses":{"200":{"description":"A single API submission object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiSubmission"}}}}}}}},"components":{"schemas":{"ApiSubmission":{"type":"object","properties":{"BatchId":{"type":"string","description":"Id of the API submission."},"AccountId":{"type":"integer","description":"Id of the brand account that submitted the API submission."},"SubmissionDate":{"type":"string","format":"date-time","description":"Date and time the API submission was submitted (ISO 8601)."},"CampaignId":{"type":"integer","description":"Id of the program (formerly known as campaign) to which the record was submitted."},"ActionTrackerId":{"type":"integer","description":"Id of the action tracker (event type) the record applies to."},"MediaPartnerId":{"type":"integer","description":"Id of the partner (formerly known as media partner) that drove the record submitted via API."},"EventCode":{"type":"string","description":"Configurable string code identifying the event type, if used instead of EventTypeId."},"OrderId":{"type":"string","nullable":true,"description":"If the record submitted is a conversion, this is the unique Id associated with that conversion."},"Payload":{"type":"string","description":"Information about the tracking data itself that was submitted to impact.com via an API call."},"Type":{"type":"string","enum":["Conversion","Modification","Reversal"],"description":"Type of record submitted."},"Status":{"type":"string","enum":["Queued","In Progress","Complete"],"description":"Status of the API submission. Will always begin as Queued ."},"CompletionDate":{"type":"string","format":"date-time","nullable":true,"description":"Date and time that the submission finished processing. Will be empty if the submission is not finished processing. See ISO 8601 ."},"ErrorType":{"type":"string","nullable":true,"description":"Errors encountered during the submission process. Will be empty if no errors were encountered. Some common values are listed below."},"ErrorReason":{"type":"string","nullable":true,"description":"List of error explanations to help describe the ErrorType ."},"Uri":{"type":"string","format":"uri-reference","description":"API submission's direct URI to view only one specific API submission."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/reference/submissions/api-submissions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
